# TdApi.PageBlockFooter

Package it.ernytech.tdlib

## Class TdApi.PageBlockFooter

- java.lang.Object
- - it.ernytech.tdlib.TdApi.Object
  - - it.ernytech.tdlib.TdApi.PageBlock
    - - it.ernytech.tdlib.TdApi.PageBlockFooter

Enclosing class:
  TdApi

    public static class TdApi.PageBlockFooter
    extends TdApi.PageBlock

The footer of a page.

### Field Summary

Fields
`static int` `CONSTRUCTOR` Identifier uniquely determining type of the object.
`TdApi.RichText` `footer` Footer.

### Constructor Summary

Constructors
`PageBlockFooter()` Default constructor.
`PageBlockFooter​(TdApi.RichText footer)` Constructor for initialization of all fields.

### Method Summary

All Methods Instance Methods Concrete Methods
`int` `getConstructor()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Methods inherited from class it.ernytech.tdlib.TdApi.Object

`toString`

### Field Detail

#### footer

    public TdApi.RichText footer

Footer.

#### CONSTRUCTOR

    public static final int CONSTRUCTOR

Identifier uniquely determining type of the object.

See Also:
  Constant Field Values

### Constructor Detail

#### PageBlockFooter

    public PageBlockFooter()

Default constructor.

#### PageBlockFooter

    public PageBlockFooter​(TdApi.RichText footer)

Constructor for initialization of all fields.

Parameters:
  `footer` - Footer.

### Method Detail

#### getConstructor

    public int getConstructor()

Specified by:
  `getConstructor` in class `TdApi.Object`
Returns:
  this.CONSTRUCTOR